package cn.com.taiji.beidou.ship.status.mapper;

import cn.com.taiji.beidou.ship.status.domain.ShipStatusReq;
import cn.com.taiji.beidou.ship.status.domain.ShipStatusResult;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author CHEN
 * @Date 2022/11/12 14:52
 */
@Mapper
public interface ShipStatusMapper {

    /**
     * 获取船舶状态的列表 长停或者离线
     * @param shipStatusReq
     * @return
     */
    List<ShipStatusResult> selectShipStatusList(ShipStatusReq shipStatusReq);

    /**
     * 详情
     * @param devideNo
     * @param isOnline
     * @param isStasis
     * @return
     */
    ShipStatusResult selectById(@Param("devideNo") String devideNo,
                                @Param("isOnline")String isOnline,
                                @Param("isStasis")String isStasis);
}
