package cn.com.taiji.beidou.ship.archives.service;


import cn.com.taiji.beidou.ship.archives.domain.ShipArchivesData;
import cn.com.taiji.beidou.ship.archives.domain.ShipArchivesREQ;
import cn.com.taiji.beidou.ship.archives.domain.ShipDisposeData;

import java.util.List;

/**
 * @Author CHEN
 * @Date 2022/11/8 19:14
 */
public interface ShipArchivesService{

    List<ShipArchivesData> findShipList(ShipArchivesREQ req);

    /**
     * 船只详情
     * @param shipId
     * @return
     */
    ShipArchivesData findShipById(String shipId);

    /**
     * 处置详情
     * @param warningId
     * @return
     */
    ShipDisposeData selectDisposeById(String warningId);
}
