package cn.com.taiji.beidou.ship.status.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author CHEN
 * @Date 2022/11/12 15:23
 */
@Data
public class ShipStatusReq {
    @ApiModelProperty("船舶编号或者设备号")
    private String shipId;
    @ApiModelProperty("部门ID")
    private String deptId;
    @ApiModelProperty("是否在线 0离线 1在线(访问长停船舶时忽略)")
    private String isOnline;
    @ApiModelProperty("是否长停 0否 1是 默认为0(访问离线船舶时忽略)")
    private String isStasis;
    @ApiModelProperty(hidden = true)
    private String devideNo;
    private Integer pageNum;
    private Integer pageSize;
}
