package cn.com.taiji.beidou.ship.status.service.impl;

import cn.com.taiji.beidou.ship.status.domain.ShipStatusReq;
import cn.com.taiji.beidou.ship.status.domain.ShipStatusResult;
import cn.com.taiji.beidou.ship.status.mapper.ShipStatusMapper;
import cn.com.taiji.beidou.ship.status.service.ShipStatusService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author CHEN
 * @Date 2022/11/12 15:27
 */
@Service
public class ShipStatusServiceImpl implements ShipStatusService {

    @Resource
    private ShipStatusMapper shipStatusMapper;

    @Override
    public List<ShipStatusResult> selectShipStatusList(ShipStatusReq req) {
        return shipStatusMapper.selectShipStatusList(req);
    }

    @Override
    public ShipStatusResult selectById(String devideNo,String isOnline,String isStasis) {
        return shipStatusMapper.selectById(devideNo,isOnline,isStasis);
    }
}
